'______________________________________________________________________

'                         V B  2 0 5   M D I   D E M O
'                                    Ron Kessler
'                              Created 6/13/2008


'______________________________________________________________________

'Updated 6/13/08

'This project is based upon the Project 2 for the VB105 class. I turned it into an MDI
'app by adding a new form called Parent

'This project shows how to create a simple MDI application. 
'Add a new form for the Parent form. Set the IsMDIparent = True in the properties of this form.
'Add some menu items so you can manipulate the other forms.

'Look at my code to see how to display the forms and to close the active form.
'Also, when you want to grab data from another form, change any variables declared with Dim to Public.
'Then, to use the data from another form use: My.Forms.frmName.YourVariableName when you
'refer or assign your data in the second form.
'Look at my code in the frmManager_Load event


Public Class frmMenu

    '---module-level variables so we can use them anywhere in this form
    Dim runningTotal As Decimal = 0     'keeps track of the subtotal
    Dim changeDue As Decimal = 0       'change due to customer
    Dim totalSale As Decimal = 0          'grandtotal of the transaction

    '---variables to hold stuff for manager and display in second form
    Public storeGrandTotal As Decimal = 0
    Public storeNumItems As Integer = 0




#Region "Menu items"

    Private Sub btnCombo1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCombo1.Click

        '---take combo1 descrip. & price and add to listbox
        lstOrder.Items.Add(btnCombo1.Text)
        lstPrices.Items.Add(FormatNumber("5.50"))
        runningTotal = runningTotal + CDec(5.5)
        btnPlaceOrder.Enabled = True

    End Sub

    Private Sub btnCombo2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCombo2.Click
        '---take combo1 descrip. & price and add to listbox
        lstOrder.Items.Add(btnCombo2.Text)
        lstPrices.Items.Add(FormatNumber("3.50"))
        runningTotal = runningTotal + CDec(3.5)
        btnPlaceOrder.Enabled = True

    End Sub

    Private Sub btnCombo3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCombo3.Click
        '---take combo1 descrip. & price and add to listbox
        lstOrder.Items.Add(btnCombo3.Text)
        lstPrices.Items.Add(FormatNumber("3.25"))
        runningTotal = runningTotal + CDec(3.25)
        btnPlaceOrder.Enabled = True
    End Sub

#End Region

#Region "List box selecting & deleting control"
    Private Sub lstOrder_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstOrder.SelectedIndexChanged
        '---link both list boxes so they show the same selected item
        lstPrices.SelectedIndex = lstOrder.SelectedIndex

        If lstOrder.Items.Count > 0 Then
            btnDeleteItem.Enabled = True
            btnPlaceOrder.Enabled = True
        Else
            btnPlaceOrder.Enabled = False
            btnDeleteItem.Enabled = False

        End If

    End Sub

    Private Sub btnDeleteItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDeleteItem.Click
        '---delete same line in both list boxes

        If lstOrder.SelectedIndex <> -1 Then

            '---subtract price from running total
            runningTotal = runningTotal - CDec(lstPrices.SelectedItem)

            '---now remove item from lstOrder and the price from lstPrices
            lstPrices.Items.Remove(lstPrices.SelectedItem)
            lstOrder.Items.Remove(lstOrder.SelectedItem)

        Else
            MessageBox.Show("Please select an item from the menu listbox")

        End If
    End Sub

#End Region

#Region "Place Order Here"
    Private Sub btnPlaceOrder_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPlaceOrder.Click

        '---do the math
        Dim salesTax As Decimal = 0
        Dim taxRate As Decimal = 0.08

        '---make sure they sold something first
        If runningTotal > 0 Then

            '---compute sales tax
            salesTax = runningTotal * taxRate

            '---compute total
            totalSale = runningTotal + salesTax

            '---display totals/summary
            lblSubTotal.Text = FormatNumber(runningTotal.ToString)
            lblTax.Text = FormatNumber(salesTax.ToString)
            lblTotal.Text = FormatCurrency(totalSale.ToString)

            txtTendered.Focus()         'they need to enter amt paid

        Else

            MessageBox.Show("Please select an item first.", "No Products Chosen", MessageBoxButtons.OK, MessageBoxIcon.Error)

        End If

    End Sub

#End Region

#Region "Amt Tendered and Cash Back"
    Private Sub txtTendered_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtTendered.TextChanged

        '---can't check out if they don't enter amt tendered
        If txtTendered.Text.Trim <> "" Then
            btnCash.Enabled = True
        Else
            btnCash.Enabled = False
        End If

    End Sub

    Private Sub btnCash_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCash.Click

        '---need to make sure they enter amt tendered and that it is > amtDue!
        Dim changeDue As Decimal = 0
        Dim amtTendered As Decimal = CDec(txtTendered.Text.Trim)

        'amtTendered = CDec(txtTendered.Text.Trim)
        If amtTendered < totalSale Then
            MessageBox.Show("Customer owes more!", "Collect more money", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            txtTendered.Clear()
            txtTendered.Focus()
        Else
            changeDue = amtTendered - totalSale
            lblChange.Text = FormatNumber(changeDue.ToString)
            txtTendered.Text = FormatNumber(txtTendered.Text)

            MessageBox.Show("Thanks for you order...", "Order Complete", MessageBoxButtons.OK, MessageBoxIcon.Information)

            '---no more for this customer
            btnPlaceOrder.Enabled = False
            btnCash.Enabled = False

            '---now add to daily take
            storeGrandTotal += totalSale
            storeNumItems += lstOrder.Items.Count
        End If


    End Sub

#End Region

#Region "New order and Exit Routines"
    Private Sub btnNewOrder_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnNewOrder.Click

        runningTotal = 0

        lstOrder.Items.Clear()
        lstPrices.Items.Clear()
        lblSubTotal.Text = ""
        lblTax.Text = ""
        lblTotal.Text = ""
        txtTendered.Clear()
        lblChange.Text = ""

       
    End Sub


#End Region



End Class
